Bug 15141 - No full configuration of TV cards
No full configuration of TV cards
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-02 14:22 EDT by Enrico Scholz
Modified: 2014-03-16 22:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 19:37:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2000-08-02 14:22:29 EDT
Although kudzu adds an entry 'alias char-major-81 bttv' to
/etc/modules.conf, TV cards are needing a tuner and mixer module to operate
properly.

To do this I am using the additional settings

below bttv		tuner msp3400
options bttv		card=2
options tuner		type=5


I know that this values are not be used generally, but for my card (lspci
-n calls it `Class 0400: 109e:0350 (rev 12)') they are correctly.
In future bttv versions the mixer (msp3400) will be replaced by a more
general module called `tvmixer'.
Comment 1 Bill Nottingham 2000-08-02 15:02:38 EDT
That's the biggest problem; those modules aren't necessarily
used by everything, and the only way to find out is to
scan the i2c bus, which we don't currently have code for.
Comment 2 Enrico Scholz 2000-08-02 15:52:31 EDT
The line 'below bttv tuner msp3400' should be obligatorily in most cases. With
bttv 0.7 (only kernel 2.4 or heavily patched 2.2) this setting can be omitted,
but Pinstripe needs it,

Until kudzu has i2c code I am suggesting to put commented templates into
/etc/modules.conf, so the user will be pointed to a list of options (the
src/MODULES file of http://me.in-berlin.de/~kraxel/v4l/bttv-0.6.4h.tar.gz or
CARDLIST & Insmod-options of
http://me.in-berlin.de/~kraxel/v4l/bttv-0.7.37.tar.gz). Else the user won't have
sound, can not change the channel and hasn't a clue where the flaw lies.

Btw: a pitfall being difficulty to find is to use tuner-type 2 instead of 5.
Some Hauppauge cards are working fine with both settings but with one exception:
_exactly_ 1 channel (SE7 in european freqtab)  can not be tuned in with type 2.
Perhaps this should be mentioned seperatedly somewhere in the documentation...

Note You need to log in before you can comment on or make changes to this bug.